Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.temporal
Class IndeterminateValue

    Object
      CodeList<IndeterminateValue>
          IndeterminateValue

All Implemented Interfaces:
  Serializable, Comparable<IndeterminateValue>

    @UML(identifier="TM_IndeterminateValue",
         specification=ISO_19108)
    public final class IndeterminateValue

extends CodeList<IndeterminateValue>

Provides 4 values for indeterminate positions.

See Also:
  Serialized Form
TODO:
  Need javadoc for each enumeration.

Field Summary
`static IndeterminateValue` | `AFTER`
`static IndeterminateValue` | `BEFORE`
`static IndeterminateValue` | `NOW`
`static IndeterminateValue` | `UNKNOWN`

Method Summary
`CodeList[]` | `family()` Returns the list of enumerations of the same kind than this enum.
`static IndeterminateValue` | `valueOf(String code)` Returns the IndeterminateValue that matches the given string, or returns a new one if none match it.
`static IndeterminateValue[]` | `values()` Returns the list of `IndeterminateValue`s.

Methods inherited from class CodeList
`compareTo, name, ordinal, readResolve, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### UNKNOWN

    public static final IndeterminateValue UNKNOWN

### NOW

    public static final IndeterminateValue NOW

### BEFORE

    public static final IndeterminateValue BEFORE

### AFTER

    public static final IndeterminateValue AFTER

Method Detail

### values

    public static IndeterminateValue[] values()

  Returns the list of `IndeterminateValue`s.

### family

    public CodeList[] family()

  Returns the list of enumerations of the same kind than this enum.

  Specified by:
    `family` in class `CodeList<IndeterminateValue>`

### valueOf

    public static IndeterminateValue valueOf(String code)

  Returns the IndeterminateValue that matches the given string, or returns a new one if none match it.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.